<template>
  <q-list style="min-width: 300px">
    <q-item clickable v-close-popup @click="$router.push('/profile')">
      <q-item-section>Hai {{ user.name }}</q-item-section>
    </q-item>
    <q-item clickable v-close-popup @click="$router.push('/provider')">
      <q-item-section>Provider</q-item-section>
    </q-item>
    <q-item clickable v-close-popup @click="$router.push('/notification')">
      <q-item-section>Notifikasi</q-item-section>
    </q-item>
    <q-item clickable v-close-popup @click="$router.push('/upgrade-level')">
      <q-item-section>Upgrade Level</q-item-section>
    </q-item>
    <q-item v-if="user.jenis_user==1" clickable v-close-popup @click="$router.push('/user')">
      <q-item-section>Admin</q-item-section>
    </q-item>
    <q-item clickable v-close-popup @click="$router.push('/logout')">
      <q-item-section>Logout</q-item-section>
    </q-item>
  </q-list>
</template>

<script>
export default {
  name: 'ProfileNav',
  data () {
    return {
      user: this.$attrs.user
    }
  }
}
</script>
